      SUBROUTINE OCTDEC ( O, I )
C*
C*                  *******************************
C*                  *******************************
C*                  **                           **
C*                  **          OCTDEC           **
C*                  **                           **
C*                  *******************************
C*                  *******************************
C*
C*     SUBPROGRAM :
C*          OCTAL TO DECIMAL
C*
C*     AUTHOR :
C*          ART RAGOSTA
C*          MS 207-5
C*          AMES RESEARCH CENTER
C*          MOFFETT FIELD, CALIF    94035
C*          (415) 694-5578
C*
C*     PURPOSE :
C*          TO CONVERT AN OCTAL STRING INTO THE DECIMAL NUMBER
C*          EQUIVALENT TO THE OCTAL STRING.
C*
C*     INPUT ARGUMENTS :
C*          O - THE OCTAL STRING
C*
C*     OUTPUT ARGUMENTS :
C*          I - THE INTEGER NUMBER
C*
C*     INTERNAL WORK AREAS :
C*          NONE
C*
C*     COMMON BLOCKS :
C*          NONE
C*
C*     FILE REFERENCES :
C*          NONE
C*
C*     SUBPROGRAM REFERENCES :
C*          NONE
C*
C*     ERROR PROCESSING :
C*          NONE
C*
C*     TRANSPORTABILITY LIMITATIONS :
C*          USES THE NON-STANDARD FORMAT DESCRIPTOR, 'O'
C*
C*     ASSUMPTIONS AND RESTRICTIONS :
C*          NONE
C*
C*     LANGUAGE AND COMPILER :
C*          ANSI FORTRAN 77
C*
C*     VERSION AND DATE :
C*          VERSION I.0     22-FEB-85
C*
C*     CHANGE HISTORY :
C*          22-FEB-85    INITIAL VERSION
C*
C***********************************************************************
C*
      CHARACTER *16 O
C
      READ(O,900)I
      RETURN
900   FORMAT(O16)
      END
C
C---END OCTDEC
C
